python-configshell-fb_1.1.20-1_all.deb


Advertisement

Description

python-configshell-fb - Python library for building configuration shells - Python 2

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-configshell-fb
Package version 1.1.20
Package release 1
Package architecture all
Package type deb
Installed size 284 B
Download size 26.47 KB
Official Mirror archive.ubuntu.com
The configshell-fb package is a Python library that provides a
framework for building simple but nice CLI-based applications.
The configshell-fb package is a fork of the "configshell" code
written by RisingTide Systems. The "-fb" differentiates between the
original and this version. Please ensure to use either all "fb"
versions of the targetcli components -- targetcli, rtslib, and
configshell, or stick with all non-fb versions, since they are no
longer strictly compatible.
This package contains the Python 2 module.

Alternatives

Package Version Architecture Repository
python-configshell-fb_1.1.20-1_all.deb 1.1.20 all Ubuntu Universe
python-configshell-fb - - -

Requires

Name Value
python-pyparsing -
python-six -
python-urwid -
python:any >= 2.7.5-5~
python:any << 2.8

Conflicts

Name Value
python-configshell -

Download

Type URL
Binary Package python-configshell-fb_1.1.20-1_all.deb
Source Package python-configshell-fb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-configshell-fb deb package:
    # sudo apt-get install python-configshell-fb

Files

Path
/usr/lib/python2.7/dist-packages/configshell/__init__.py
/usr/lib/python2.7/dist-packages/configshell/console.py
/usr/lib/python2.7/dist-packages/configshell/log.py
/usr/lib/python2.7/dist-packages/configshell/node.py
/usr/lib/python2.7/dist-packages/configshell/prefs.py
/usr/lib/python2.7/dist-packages/configshell/shell.py
/usr/lib/python2.7/dist-packages/configshell_fb/__init__.py
/usr/lib/python2.7/dist-packages/configshell_fb/console.py
/usr/lib/python2.7/dist-packages/configshell_fb/log.py
/usr/lib/python2.7/dist-packages/configshell_fb/node.py
/usr/lib/python2.7/dist-packages/configshell_fb/prefs.py
/usr/lib/python2.7/dist-packages/configshell_fb/shell.py
/usr/lib/python2.7/dist-packages/configshell_fb-1.1.20.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/configshell_fb-1.1.20.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/configshell_fb-1.1.20.egg-info/top_level.txt
/usr/share/doc/python-configshell-fb/changelog.Debian.gz
/usr/share/doc/python-configshell-fb/copyright

Changelog

2016-09-22 - Christophe Vu-Brugier <cvubrugier@fastmail.fm>
python-configshell-fb (1.1.20-1) unstable; urgency=medium
[ Christophe Vu-Brugier ]
* Initial release. (Closes: #838861)

See Also

Package Description
python-confluent-kafka_0.9.4-3build1_i386.deb Python client to interact with Kafka - Python 2.7
python-congress_6.0.0-0ubuntu1.1_all.deb OpenStack Policy as a Service - Python libraries
python-congressclient-doc_1.8.0-0ubuntu1_all.deb client for the open policy framework for the cloud - doc
python-congressclient_1.8.0-0ubuntu1_all.deb client for the open policy framework for the cloud - Python 2.x
python-construct_2.8.8+really2.5.2-0.1_all.deb powerful declarative parser (and builder) for binary data
python-contract_1.4-4_all.deb Programming by contract for Python
python-convoy_0.2.1+bzr39-1_all.deb WSGI app for loading multiple files in the same request
python-cookiecutter-doc_1.5.0-2_all.deb create projects from project templates (documentation)
python-cookiecutter_1.5.0-2_all.deb create projects from project templates (Python 2 module)
python-cookies_2.2.1-1_all.deb Python RFC 6265-compliant cookie parser and renderer
python-corepywrap_1.005-4build4_i386.deb library that exports C++ mmCIF accessors to Python
python-couchdb_0.10-1.1_all.deb library for working with Apache CouchDB
python-couchdbkit_0.6.5-2_all.deb Trying to improve couchdb experience in Python
python-couleur_0.5.0-4_all.deb tool to play around with ANSI features in a unix terminal
python-cov-core_1.15.0-1build1_all.deb plugin core for use by pytest-cov, nose-cov and nose2-cov
Advertisement
Advertisement